﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ARMixedOrientationCS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        SectionReport1 p_rpt;
        SectionReport2 l_rpt;
        int count1;
        int count2;

        private void Button1_Click(object sender, EventArgs e)
        {
            RunReports();
            for (int i = 0; i < count2; i++)
            {
                p_rpt.Document.Pages.Add(l_rpt.Document.Pages[i]);
            }
            viewer1.Document = p_rpt.Document;
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            RunReports();
            for (int i = 0; i < count2; i++)
            {
                if (i < count1)
                {
                    p_rpt.Document.Pages.Insert((i * 2) + 1, l_rpt.Document.Pages[i]);
                }
                else
                {
                    p_rpt.Document.Pages.Add(l_rpt.Document.Pages[i]);
                }

            }
            viewer1.Document = p_rpt.Document;
        }

        public void RunReports()
        {
            p_rpt = new SectionReport1();
            l_rpt = new SectionReport2();
            p_rpt.Run();
            l_rpt.Run();

            count1 = p_rpt.Document.Pages.Count;
            count2 = l_rpt.Document.Pages.Count;
        }
    }
}
